Bug 70772 - limbo-2: anaconda traceback: small disk
limbo-2: anaconda traceback: small disk
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-04 22:37 EDT by Eugene Kanter
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-06 09:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda dump file (63.33 KB, text/plain)
2002-08-04 22:38 EDT, Eugene Kanter
no flags Details

  None (edit)
Description Eugene Kanter 2002-08-04 22:37:56 EDT
System has 1G disk where 100G is a swap file and the rest is root partition with
some old limited 7.2 install (almost full).

Selected "personal system" and asked anaconda to use the whole disk. It
complained about not been able to. I guessed that there is not enough space.

Problem 1.  A better wording would be very helpful.

Then I went to manual partitioning selected preserving existing root partition,
went to package selection and trimmed down list of packages to around 700meg
total. Started install but it says that over 500 meg is required on root
partition. Well many files would have been owerwritten with the new versions but
I understand that this part is exteremely hard to detect. So I switched to VT2,
deleted almost all files, unmounted dev/pts and some other mounted from
sysimage, then went to retry install and got traceback (attached).
Comment 1 Eugene Kanter 2002-08-04 22:38:35 EDT
Created attachment 68845 [details]
anaconda dump file
Comment 2 Jeremy Katz 2002-08-04 23:23:22 EDT
Actually, the traceback is because you unmounted /dev/pts so when we went to
unmount it with the rest of the filesystems, the unmounting failed
Comment 3 Michael Fulbright 2002-08-05 11:31:15 EDT
I'm not sure what the bug report is here - what is the issue you are reporting?
Comment 4 Eugene Kanter 2002-08-06 09:57:43 EDT
That is correct. I did unmount dev/pts, since I wanted to clean the disk up.
I am reporting this because any kind of traceback is considered a bug. In this
case, according to your information the umount error can be prevented if you
check for the state of mount before calling unmount.

In my scenario I was forced to start install over and repeat my package
selection again.
Comment 5 Eugene Kanter 2002-08-15 08:21:38 EDT
So, is there going to be a check for presence of a mount point before issuing an
unmount command?

Note You need to log in before you can comment on or make changes to this bug.